import { HttpResponse } from '../@types'
import request from './request'
import requestJava from './requestJava'

class passbookService {
  // 获取幸福存折详情
  static async GetCustomerBigRedEnvelope(CustomerId:Number):Promise<HttpResponse>{
    return request('customer_post_GetCustomerBigRedEnvelope',{CustomerId})
  }
  static async getDepositBankbookDetail(CustomerId:Number):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getDepositBankbookDetail',{CustomerId})
  }
  static async getBankbookUseDetail(queryTime:string):Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getBankbookUseDetail',{queryTime})
  }
  static async getLinePercentage():Promise<HttpResponse>{
    return requestJava('/api/b2b/user/getLinePercentage',{})
  }
//   static async getDepositBankbookDetail(param:any):Promise<HttpResponse>{
//     return requestJava('/api/b2b/user/getDepositBankbookDetail',param)
//   }
}

export default passbookService
